var userId = $('#userId').val();
$(document).ready(function () {
    combo_perMenu();
    combo_perMenuIcono();
    $.post("../../controller/personalizar.php?op=consultar", function (data) {
        data = JSON.parse(data);
        $('#per_menu').val(data.per_menu).trigger("change");
        $('#per_pie').val(data.per_pie).trigger("change");
        $('#per_accesos').val(data.per_accesos).trigger("change");
        $('#per_icono').val(data.per_icono).trigger("change");
        $('#per_texto').val(data.per_texto).trigger("change");
    });
});
function combo_perMenu() {
    $.post("../../controller/catalogo.php?op=menu", function (data) {
        $('#per_menu').html(data);
        $('#per_pie').html(data);
        $('#per_accesos').html(data);
        $('#per_texto').html(data);
    });
}
function combo_perMenuIcono() {
    $.post("../../controller/catalogo.php?op=menuIcono", function (data) {
        $('#per_icono').html(data);
    });
}
$(document).on("click", "#btnGuardarPersonalizar", function () {
    $.post("../../controller/personalizar.php?op=actualizar", {
        per_usuariodbk: userId,
        per_menu: $('#per_menu').val(),
        per_pie: $('#per_pie').val(),
        per_accesos: $('#per_accesos').val(),
        per_texto: $('#per_texto').val(),
        per_icono: $('#per_icono').val()
    }, function (data) {
        alert(data);
    });
    Swal.fire({
        title: 'Registro Actualizado',
        text: 'Su configuración personalizada ha sido actualizada',
        icon: 'success',
        confirmButtonText: 'Aceptar'
    })
    location.reload();
});

$(document).on("click", "#btnRestablecerPersonalizar", function () {
    $.post("../../controller/personalizar.php?op=eliminar", {
        per_usuariodbk: userId
    }, function (data) {
    });
    Swal.fire({
        title: 'Registro Restablecido',
        text: 'Su configuración personalizada ha sido actualizada',
        icon: 'success',
        confirmButtonText: 'Aceptar'
    })
    location.reload();
});

$(document).on("click", "#btnDark", function () {
    $.post("../../controller/personalizar.php?op=actualizar", {
        per_usuariodbk: userId,
        per_menu: "black",
        per_pie: "",
        per_accesos: "gray",
        per_texto: "light",
        per_icono: "white"
    }, function (data) {
    });
    Swal.fire({
        title: 'Registro Restablecido',
        text: 'Su configuración personalizada ha sido actualizada',
        icon: 'success',
        confirmButtonText: 'Aceptar'
    })
    location.reload();
});

$(document).on("click", "#btnLight", function () {
    $.post("../../controller/personalizar.php?op=actualizar", {
        per_usuariodbk: userId,
        per_menu: "light",
        per_pie: "",
        per_accesos: "",
        per_texto: "black-50",
        per_icono: "black"
    }, function (data) {
    });
    Swal.fire({
        title: 'Registro Restablecido',
        text: 'Su configuración personalizada ha sido actualizada',
        icon: 'success',
        confirmButtonText: 'Aceptar'
    })
    location.reload();
});
